<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: src/application.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('application_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">application.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implementation of the application code.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="application_8h_source.html">application.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for application.c:</div>
<div class="dyncontent">
<div class="center"><img src="application_8c__incl.png" border="0" usemap="#src_2application_8c" alt=""/></div>
<map name="src_2application_8c" id="src_2application_8c">
<area shape="rect" id="node2" href="application_8h.html" title="Header file for the application module. " alt="" coords="337,80,431,107"/><area shape="rect" id="node3" href="main_8h.html" title="Header for main.c module. " alt="" coords="353,155,415,181"/><area shape="rect" id="node4" href="API_8h_source.html" title="API.h" alt="" coords="315,229,370,256"/><area shape="rect" id="node6" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="137,304,199,331"/><area shape="rect" id="node7" href="GPIO_8h.html" title="Header file for the GPIO.c module. " alt="" coords="216,379,283,405"/><area shape="rect" id="node8" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="299,304,386,331"/><area shape="rect" id="node9" href="USART_8h.html" title="Header file for the USART.c module. " alt="" coords="410,304,489,331"/><area shape="rect" id="node10" href="LPTIMER_8h.html" title="Header file for the LPTIMER.c module. " alt="" coords="513,304,604,331"/><area shape="rect" id="node12" href="WWDG_8h.html" title="Header file for the WWDG.c module. " alt="" coords="730,304,809,331"/></map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4c6bb82dbda8b2832ea1da7405a140d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a4c6bb82dbda8b2832ea1da7405a140d1">measure_state_machine</a> (double t_period_s)</td></tr>
<tr class="memdesc:a4c6bb82dbda8b2832ea1da7405a140d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">state machine for the measurement procedure  <a href="#a4c6bb82dbda8b2832ea1da7405a140d1">More...</a><br /></td></tr>
<tr class="separator:a4c6bb82dbda8b2832ea1da7405a140d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb51d77ac5f7ea3f81d0ba5adb585b0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#aeb51d77ac5f7ea3f81d0ba5adb585b0f">usart_received_handler</a> (uint8_t *buffer)</td></tr>
<tr class="memdesc:aeb51d77ac5f7ea3f81d0ba5adb585b0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handler, called when a usart frame is received.  <a href="#aeb51d77ac5f7ea3f81d0ba5adb585b0f">More...</a><br /></td></tr>
<tr class="separator:aeb51d77ac5f7ea3f81d0ba5adb585b0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cbc3d9fe770f18edadfac923e609164"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a9cbc3d9fe770f18edadfac923e609164">lpuart_received_handler</a> (uint8_t *buffer)</td></tr>
<tr class="memdesc:a9cbc3d9fe770f18edadfac923e609164"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handler, called when a lpuart frame is received.  <a href="#a9cbc3d9fe770f18edadfac923e609164">More...</a><br /></td></tr>
<tr class="separator:a9cbc3d9fe770f18edadfac923e609164"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13d9e1c12926c3cf40995d4b5baafd1a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13d9e1c12926c3cf40995d4b5baafd1a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>startup_sequence</b> (void)</td></tr>
<tr class="separator:a13d9e1c12926c3cf40995d4b5baafd1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0c030ef2e6fcfbc87477d3f0ff9450a"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#af0c030ef2e6fcfbc87477d3f0ff9450a">is_last_board</a> (void)</td></tr>
<tr class="memdesc:af0c030ef2e6fcfbc87477d3f0ff9450a"><td class="mdescLeft">&#160;</td><td class="mdescRight">function which returns a value greater 0, if it is the last board in the daisy chain  <a href="#af0c030ef2e6fcfbc87477d3f0ff9450a">More...</a><br /></td></tr>
<tr class="separator:af0c030ef2e6fcfbc87477d3f0ff9450a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a972149ddf8c5a245a0457877732117bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a972149ddf8c5a245a0457877732117bc">set_led</a> (uint8_t on)</td></tr>
<tr class="memdesc:a972149ddf8c5a245a0457877732117bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">configures the led and turns it on or off  <a href="#a972149ddf8c5a245a0457877732117bc">More...</a><br /></td></tr>
<tr class="separator:a972149ddf8c5a245a0457877732117bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16ab82c8a753266e4ffede309ca4259c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16ab82c8a753266e4ffede309ca4259c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a16ab82c8a753266e4ffede309ca4259c">gpio_config</a> (void)</td></tr>
<tr class="memdesc:a16ab82c8a753266e4ffede309ca4259c"><td class="mdescLeft">&#160;</td><td class="mdescRight">configures the GPIO <br /></td></tr>
<tr class="separator:a16ab82c8a753266e4ffede309ca4259c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985b46cca3411314489e668a89ccce54"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a985b46cca3411314489e668a89ccce54">crc16_ok</a> (uint8_t *data, uint8_t length, uint16_t crc)</td></tr>
<tr class="memdesc:a985b46cca3411314489e668a89ccce54"><td class="mdescLeft">&#160;</td><td class="mdescRight">configures the led and turns it on or off  <a href="#a985b46cca3411314489e668a89ccce54">More...</a><br /></td></tr>
<tr class="separator:a985b46cca3411314489e668a89ccce54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad85f4406496b593af05dbaed475462e9"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#ad85f4406496b593af05dbaed475462e9">get_error_code</a> (uint8_t error)</td></tr>
<tr class="memdesc:ad85f4406496b593af05dbaed475462e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns a pointer to the error code buffer  <a href="#ad85f4406496b593af05dbaed475462e9">More...</a><br /></td></tr>
<tr class="separator:ad85f4406496b593af05dbaed475462e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36dcfc6fee22b0974badca8dff09e55d"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a36dcfc6fee22b0974badca8dff09e55d">get_plate_state</a> (<a class="el" href="structmeasured__data__t.html">measured_data_t</a> *data)</td></tr>
<tr class="memdesc:a36dcfc6fee22b0974badca8dff09e55d"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the data byte for the frame  <a href="#a36dcfc6fee22b0974badca8dff09e55d">More...</a><br /></td></tr>
<tr class="separator:a36dcfc6fee22b0974badca8dff09e55d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2080215bcaaf67f6e9b87b06c6f32a47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2080215bcaaf67f6e9b87b06c6f32a47"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a2080215bcaaf67f6e9b87b06c6f32a47">error_handler</a> (void)</td></tr>
<tr class="memdesc:a2080215bcaaf67f6e9b87b06c6f32a47"><td class="mdescLeft">&#160;</td><td class="mdescRight">error handler, called before the reset from the watchdog <br /></td></tr>
<tr class="separator:a2080215bcaaf67f6e9b87b06c6f32a47"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:abd5a655d2ae02e2266a2215f3b2e64d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd5a655d2ae02e2266a2215f3b2e64d1"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#abd5a655d2ae02e2266a2215f3b2e64d1">g_b_is_last_board</a> = 1</td></tr>
<tr class="memdesc:abd5a655d2ae02e2266a2215f3b2e64d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">&gt;0...last board , 0 not last board <br /></td></tr>
<tr class="separator:abd5a655d2ae02e2266a2215f3b2e64d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7882ae0be5c0e7308062c842d3fe7c88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7882ae0be5c0e7308062c842d3fe7c88"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a7882ae0be5c0e7308062c842d3fe7c88">g_b_start_measurement</a> = 0</td></tr>
<tr class="memdesc:a7882ae0be5c0e7308062c842d3fe7c88"><td class="mdescLeft">&#160;</td><td class="mdescRight">trigger the measurement start <br /></td></tr>
<tr class="separator:a7882ae0be5c0e7308062c842d3fe7c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a817070dd4b0bdeb10561d20e8da689cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a817070dd4b0bdeb10561d20e8da689cb"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a817070dd4b0bdeb10561d20e8da689cb">g_b_measurement_running</a> = 0</td></tr>
<tr class="memdesc:a817070dd4b0bdeb10561d20e8da689cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">&gt;0...measurement running, 0...no measurement running <br /></td></tr>
<tr class="separator:a817070dd4b0bdeb10561d20e8da689cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3cadd4aa11ddf117d1ede07739be9b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3cadd4aa11ddf117d1ede07739be9b4"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#ad3cadd4aa11ddf117d1ede07739be9b4">g_board_index</a> = 0</td></tr>
<tr class="memdesc:ad3cadd4aa11ddf117d1ede07739be9b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">board index <br /></td></tr>
<tr class="separator:ad3cadd4aa11ddf117d1ede07739be9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a5c8ab16e81cd991cb5ca2380eedf8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27a5c8ab16e81cd991cb5ca2380eedf8"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8c.html#a27a5c8ab16e81cd991cb5ca2380eedf8">g_measured_data</a> = 0</td></tr>
<tr class="memdesc:a27a5c8ab16e81cd991cb5ca2380eedf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">measured data <br /></td></tr>
<tr class="separator:a27a5c8ab16e81cd991cb5ca2380eedf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implementation of the application code. </p>
<dl class="section author"><dt>Author</dt><dd>Andreas Hirtenlehner, Gerald Ebmer, Lukas Pechhacker </dd></dl>
<dl class="section date"><dt>Date</dt><dd>16.08.2016 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a985b46cca3411314489e668a89ccce54"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t crc16_ok </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>crc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>configures the led and turns it on or off </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>buffer of the data </td></tr>
    <tr><td class="paramname">length</td><td>length of the buffer </td></tr>
    <tr><td class="paramname">CRC16</td><td>CCITT </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad85f4406496b593af05dbaed475462e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t * get_error_code </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns a pointer to the error code buffer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a36dcfc6fee22b0974badca8dff09e55d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t get_plate_state </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmeasured__data__t.html">measured_data_t</a> *&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns the data byte for the frame </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>pointer to the measured data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af0c030ef2e6fcfbc87477d3f0ff9450a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t is_last_board </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>function which returns a value greater 0, if it is the last board in the daisy chain </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">NONE</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">&gt;0</td><td>last board </td></tr>
    <tr><td class="paramname">0</td><td>not last board </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9cbc3d9fe770f18edadfac923e609164"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void lpuart_received_handler </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Handler, called when a lpuart frame is received. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pointer</td><td>to the buffer of the received frame </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4c6bb82dbda8b2832ea1da7405a140d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void measure_state_machine </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>t_period_s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>state machine for the measurement procedure </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t_period_s</td><td>period in seconds </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a972149ddf8c5a245a0457877732117bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void set_led </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>on</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>configures the led and turns it on or off </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">&gt;0...LED</td><td>on 0...LED off </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aeb51d77ac5f7ea3f81d0ba5adb585b0f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void usart_received_handler </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Handler, called when a usart frame is received. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buffer</td><td>pointer to the buffer of the received frame </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="application_8c.html">application.c</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
